org.hibernate.search.query.dsl.impl

## Class ConnectedRangeMatchingContext

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedRangeMatchingContext

- All Implemented Interfaces:
    FieldCustomization<RangeMatchingContext>, FieldBridgeCustomization<RangeMatchingContext>, RangeMatchingContext

      public class ConnectedRangeMatchingContext
      extends Object
      implements RangeMatchingContext, FieldBridgeCustomization<RangeMatchingContext>

  Author:
    Emmanuel Bernard

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hibernate.search.query.dsl.RangeMatchingContext

      `RangeMatchingContext.FromRangeContext<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedRangeMatchingContext(String fieldName, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RangeTerminationExcludable` | `above(Object above)` The field value must be above `above` You can exclude the value `above` by calling `.excludeLimit()`
    `RangeMatchingContext` | `andField(String field)` field / property the term query is executed on
    `RangeTerminationExcludable` | `below(Object below)` The field value must be below `below` You can exclude the value `below` by calling `.excludeLimit()`
    `RangeMatchingContext` | `boostedTo(float boost)` Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
    `<T> RangeMatchingContext.FromRangeContext<T>` | `from(T from)`
    `RangeMatchingContext` | `ignoreAnalyzer()` Advanced Do not execute the analyzer on the text.
    `RangeMatchingContext` | `ignoreFieldBridge()` Do not try and find the field bridge nor apply the object / string conversion matching objects should be of type String in this case.
    `RangeMatchingContext` | `withFieldBridge(FieldBridge fieldBridge)` Sets the field bridge for querying the current field; any other bridge associated with this field will be ignored for the query

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedRangeMatchingContext

          public ConnectedRangeMatchingContext(String fieldName,
                                               org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                               QueryBuildingContext queryContext)

  - ### Method Detail

    - #### andField

          public RangeMatchingContext andField(String field)

      Description copied from interface: `RangeMatchingContext`
      field / property the term query is executed on
      Specified by:
        `andField` in interface `RangeMatchingContext`
      Parameters:
        `field` - the name of the field
      Returns:
        the `RangeMatchingContext`

    - #### from

          public <T> RangeMatchingContext.FromRangeContext<T> from(T from)

      Specified by:
        `from` in interface `RangeMatchingContext`

    - #### below

          public RangeTerminationExcludable below(Object below)

      Description copied from interface: `RangeMatchingContext`
      The field value must be below `below` You can exclude the value `below` by calling `.excludeLimit()`
      Specified by:
        `below` in interface `RangeMatchingContext`
      Parameters:
        `below` - the lower limit of the range
      Returns:
        a `RangeTerminationExcludable`

    - #### above

          public RangeTerminationExcludable above(Object above)

      Description copied from interface: `RangeMatchingContext`
      The field value must be above `above` You can exclude the value `above` by calling `.excludeLimit()`
      Specified by:
        `above` in interface `RangeMatchingContext`
      Parameters:
        `above` - the upper limit of the range
      Returns:
        a `RangeTerminationExcludable`

    - #### boostedTo

          public RangeMatchingContext boostedTo(float boost)

      Description copied from interface: `FieldCustomization`
      Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
      Specified by:
        `boostedTo` in interface `FieldCustomization<RangeMatchingContext>`
      Parameters:
        `boost` - the boost value, it can be negative (advance)
      Returns:
        an instance of T for method chaining

    - #### ignoreAnalyzer

          public RangeMatchingContext ignoreAnalyzer()

      Description copied from interface: `FieldCustomization`
      Advanced Do not execute the analyzer on the text. (It is usually a good idea to apply the analyzer)
      Specified by:
        `ignoreAnalyzer` in interface `FieldCustomization<RangeMatchingContext>`
      Returns:
        an instance of T for method chaining

    - #### ignoreFieldBridge

          public RangeMatchingContext ignoreFieldBridge()

      Description copied from interface: `FieldCustomization`
      Do not try and find the field bridge nor apply the object / string conversion matching objects should be of type String in this case.
      Specified by:
        `ignoreFieldBridge` in interface `FieldCustomization<RangeMatchingContext>`
      Returns:
        an instance of T for method chaining

    - #### withFieldBridge

          public RangeMatchingContext withFieldBridge(FieldBridge fieldBridge)

      Description copied from interface: `FieldBridgeCustomization`
      Sets the field bridge for querying the current field; any other bridge associated with this field will be ignored for the query
      Specified by:
        `withFieldBridge` in interface `FieldBridgeCustomization<RangeMatchingContext>`
      Parameters:
        `fieldBridge` - the field bridge to use
      Returns:
        this object, following the method chaining pattern

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved